
- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/v850/kernel/setup.c       |    7 ++-----
 25-akpm/arch/v850/kernel/vmlinux.lds.S |    5 +++++
 25-akpm/include/asm-v850/setup.h       |    8 ++++++++
 3 files changed, 15 insertions(+), 5 deletions(-)

diff -puN arch/v850/kernel/setup.c~early-param-v850 arch/v850/kernel/setup.c
--- 25/arch/v850/kernel/setup.c~early-param-v850	Thu Mar 25 15:34:50 2004
+++ 25-akpm/arch/v850/kernel/setup.c	Thu Mar 25 15:34:50 2004
@@ -40,8 +40,7 @@ extern char _root_fs_image_start __attri
 extern char _root_fs_image_end __attribute__ ((__weak__));
 
 
-char command_line[512];
-char saved_command_line[512];
+char command_line[COMMAND_LINE_SIZE];
 
 /* Memory not used by the kernel.  */
 static unsigned long total_ram_pages;
@@ -61,10 +60,8 @@ void set_mem_root (void *addr, size_t le
 
 void __init setup_arch (char **cmdline)
 {
-	/* Keep a copy of command line */
 	*cmdline = command_line;
-	memcpy (saved_command_line, command_line, sizeof saved_command_line);
-	saved_command_line[sizeof saved_command_line - 1] = '\0';
+	parse_early_options(cmdline_p);
 
 	console_verbose ();
 
diff -puN arch/v850/kernel/vmlinux.lds.S~early-param-v850 arch/v850/kernel/vmlinux.lds.S
--- 25/arch/v850/kernel/vmlinux.lds.S~early-param-v850	Thu Mar 25 15:34:50 2004
+++ 25-akpm/arch/v850/kernel/vmlinux.lds.S	Thu Mar 25 15:34:50 2004
@@ -109,6 +109,11 @@
 			*(.init.setup)	/* 2.5 convention */		      \
 			*(.setup.init)	/* 2.4 convention */		      \
 		___setup_end = . ;					      \
+
+		__early_begin = .;
+			*(__early_param)
+		__early_end = .;
+
 		___start___param = . ;					      \
 			*(__param)					      \
 		___stop___param = . ;					      \
diff -puN /dev/null include/asm-v850/setup.h
--- /dev/null	Thu Apr 11 07:25:15 2002
+++ 25-akpm/include/asm-v850/setup.h	Thu Mar 25 15:34:50 2004
@@ -0,0 +1,8 @@
+#ifdef __KERNEL__
+#ifndef _V850_SETUP_H
+#define _V850_SETUP_H
+
+#define COMMAND_LINE_SIZE	512
+
+#endif /* __SETUP_H */
+#endif /* __KERNEL__ */

_
